package com.ff.base.enums;

import lombok.Getter;

/**
 * 提现代付记录状态
 *
 * @author liukang
 */
@Getter
public enum WithdrawBehalfStatus {

    /**
     * 状态 0.已付款 1.付款失败 2.已强制出款 3.付款中
     */
    BEHALFSTATUS_0("0", "已付款"),
    BEHALFSTATUS_1("1", "付款失败"),
    BEHALFSTATUS_2("2", "已强制出款"),
    BEHALFSTATUS_3("3", "付款中");
    private final String code;
    private final String info;

    WithdrawBehalfStatus(String code, String info) {
        this.code = code;
        this.info = info;
    }
}
